%define language      japanese
%define Language      Japanese
%define langcode      ja
%define name          netscape-%{language}
%define version       4.75
%define nsversion     4.75
%define release       1mdk

Summary:              Netscape in %{Language}
Name:                 %{name}
Version:              %{version}
Release:              %{release}

Source0:              Netscape.%{langcode}.%{version}.bz2
Source1:              nethelp-%{langcode}.tar.bz2

Copyright:            GPL
Group:                Networking/WWW
BuildRoot:            %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:            noarch
Requires:             locales-%{langcode}, netscape-common >= %{nsversion}
Prefix:               %{_prefix}

%description
This package contains the needed files to have Netscape's interface
and Netscape's NetHelp in %{Language} language.

%build
rm -rf %buildroot
mkdir -p %buildroot{%{_libdir}/netscape/%{langcode},%{_prefix}/X11R6/lib/X11/%{langcode}/app-defaults}

%install
bzip2 -cd %{SOURCE0} > %buildroot%{_prefix}/X11R6/lib/X11/%{langcode}/app-defaults/Netscape
bzip2 -cd %{SOURCE1} | tar xf - -C %buildroot%{_libdir}/netscape/%{langcode}
chmod -R u=rwx %buildroot

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%lang(%{langcode}) %config %{_prefix}/X11R6/lib/X11/%{langcode}/app-defaults/Netscape
%lang(%{langcode}) %dir %{_libdir}/netscape/%{langcode}
%lang(%{langcode}) %{_libdir}/netscape/%{langcode}/*


%changelog
* Tue Oct  3 2000 Alexander Skwar <ASkwar@Linux-Mandrake.com> 4.75-1mdk
- First Mandrake version
- Used Redhats translation
- Used the netscape-german spec file as a template
